package tokyo.swet.uitest;


import android.support.test.runner.AndroidJUnit4;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;

import tokyo.swet.uitest.helper.ActivityTestBase;

import static android.support.test.espresso.matcher.ViewMatchers.assertThat;
import static android.support.test.espresso.matcher.ViewMatchers.isDisplayed;
import static android.support.test.espresso.matcher.ViewMatchers.withText;
import static org.hamcrest.core.IsNot.not;
import static tokyo.swet.uitest.helper.UserHelper.logout;
import static tokyo.swet.uitest.helper.ViewHelper.selectTab;

/**
 * ノート機能（未ログイン状態）に関するテスト
 * Created by SWET.
 */
@RunWith(AndroidJUnit4.class)
public class NoteLogoutStateTests extends ActivityTestBase {

    @Before
    public void setUp() {
        logout();
        selectTab(withText(R.string.tab_note));
    }

    @Test
    public void notLogin() {
        // 未ログイン状態と表示されていることの確認
        assertThat(
                "未ログイン状態というラベルが表示されている",
                activity.findViewById(R.id.notes_label_unauthorized),
                isDisplayed()
        );

        // ログイン状態のときに表示される
        // ノート作成ボタンが表示されていないことを確認
        assertThat(
                "ログイン時に表示されるボタンが表示されていない",
                activity.findViewById(R.id.notes_button_create),
                not(isDisplayed())
        );
    }
}
