package tokyo.swet.uitest.helper;

import android.content.res.AssetManager;
import android.support.test.InstrumentationRegistry;

import org.json.JSONException;
import org.json.JSONObject;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import tokyo.swet.uitest.model.User;

/**
 * Created by SWET.
 */

public class AssetHelper {

    public static User testUser() {
        JSONObject json;
        try {
            json = new JSONObject(readFromAsset("data.json")).getJSONObject("testuser");
        } catch (JSONException | IOException e) {
            throw new IllegalStateException("テストデータが読み込めませんでした", e);
        }
        return new User(json);
    }

    /**
     * Assetsファイル名を指定して中身を取得します
     * @param file ファイル名
     * @return String ファイルの中身
     * @throws IOException IOException
     */
    public static String readFromAsset(String file) throws IOException {
        AssetManager manager = InstrumentationRegistry.getContext().getAssets();

        BufferedReader br = new BufferedReader(new InputStreamReader(manager.open(file)));
        StringBuilder  sb = new StringBuilder();

        String line;
        while ((line = br.readLine()) != null) {
            sb.append(line);
        }
        br.close();

        return sb.toString();
    }
}
