package tokyo.swet.uitest.helper;

import tokyo.swet.uitest.R;

import static android.support.test.espresso.Espresso.onView;
import static android.support.test.espresso.action.ViewActions.click;
import static android.support.test.espresso.action.ViewActions.replaceText;
import static android.support.test.espresso.matcher.ViewMatchers.withId;
import static android.support.test.espresso.matcher.ViewMatchers.withText;
import static org.apache.commons.lang3.RandomStringUtils.random;
import static tokyo.swet.uitest.helper.ViewHelper.selectTab;

/**
 * Created by SWET.
 */

public class NoteHelper {

    /**
     * ランダムなタイトルを取得します
     * @return 文字列
     */
    public static String randomTitle() {
        return "タイトル:" + random(5, 'あ', 'ん', false, false) + System.currentTimeMillis();
    }

    /**
     * ランダムなコンテンツを取得します
     * @return 文字列
     */
    public static String randomContent() {
        return "内容:" + random(5, 'あ', 'ん', false, false) + System.currentTimeMillis();
    }

    /**
     * 指定された値でノートを作成する
     * @param title　タイトル
     * @param content 内容
     */
    public static void createNote(String title, String content) {
        selectTab(withText(R.string.tab_note));

        // ノート作成ボタンをクリック
        onView(withId(R.id.notes_button_create)).perform(click());

        // タイトルと内容を入力
        onView(withId(R.id.note_input_title)).perform(replaceText(title));
        onView(withId(R.id.note_input_content)).perform(replaceText(content));

        // 保存ボタンをクリック
        onView(withId(R.id.note_button_save)).perform(click());
    }
}
