//
// Copyright (c) 2017 SWET. All rights reserved.
//

import UIKit

extension UITextField {

    /// 含まれている文字列を検証する
    ///
    /// - Parameter rule: ValidationRule 検証ルール
    /// - Returns: ValidationResult 検証結果
    func validate(rule: ValidationRule) -> ValidationResult {
        return rule.validate(textField: self)
    }
    
    /// 文字列を空文字にする
    func clear() {
        self.text = ""
    }

    /// 前後空白を取り除く
    func trim() {
        self.text = self.text?.trimmingCharacters(in: .whitespaces)
    }

}
