//
//  Copyright © 2017年 SWET. All rights reserved.
//

import XCTest

/// ノート機能（ログアウト状態）に関するテスト
class NoteLogoutStateTests: XCTestCase {

    let app = XCUIApplication()

    override func setUp() {
        super.setUp()
        continueAfterFailure = false
        app.launch()

        logout()
        selectTab(.note)
    }

    override func tearDown() {
        super.tearDown()
    }

    func testNotLogin() {
        // 未ログイン状態と表示されていることの確認
        XCTAssertTrue(Note.needLoginLabel.exists && Note.needLoginLabel.isHittable,
                "未ログイン状態で表示されるラベルが表示されている")

        // ログイン状態のときに表示される
        // ノート作成ボタンが表示されていないことを確認
        XCTAssertFalse(Note.createButton.exists && Note.createButton.isHittable,
                "ログイン時に表示されるボタンが非表示である")
    }
}
